using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace YBEE.EQM.Core;

/// <summary>
/// 班级学生
/// </summary>
[Comment("班级学生")]
public class SchoolClassStudent : DEntityBase
{
    /// <summary>
    /// 机构ID
    /// </summary>
    [Comment("机构ID")]
    [Required]
    public short SysOrgId { get; set; }
    /// <summary>
    /// 班级ID
    /// </summary>
    [Comment("班级ID")]
    [Required]
    public long SchoolClassId { get; set; }
    /// <summary>
    /// 人员ID
    /// </summary>
    [Comment("人员ID")]
    public int PersonId { get; set; }
    /// <summary>
    /// 学籍号
    /// </summary>
    [Comment("学籍号")]
    [StringLength(100)]
    public string StudentNumber { get; set; } = "";
    /// <summary>
    /// 高中选科组合ID
    /// </summary>
    [Comment("高中选科组合ID")]
    public short? NceeCourseCombId { get; set; }
    

    /// <summary>
    /// 一对一引用（机构）
    /// </summary>
    public virtual SysOrg SysOrg { get; set; }
    /// <summary>
    /// 一对一引用（学校班级）
    /// </summary>
    public virtual SchoolClass SchoolClass { get; set; }
    /// <summary>
    /// 一对一引用（人员）
    /// </summary>
    public virtual Person Person { get; set; }
    /// <summary>
    /// 一对一引用（高中选科组合）
    /// </summary>
    public virtual NceeCourseComb NceeCourseComb { get; set; }
}
